PMEMPOOL-CONVERT(1)

NAME

pmempool-convert - upgrade pool files layout version

SYNOPSIS

    $ pmempool convert <file>

DESCRIPTION

The pmempool invoked with the convert command performs a conversion of the specified pool to the newest layout supported by this tool. Currently only libpmemobj(7) pools are supported. It is advised to have a backup of the pool before conversion.

    NOTE: The conversion process is not fail-safe - power interruption may damage the pool.

EXAMPLE

    $ pmempool convert pool.obj

Updates pool.obj to the latest layout version.

SEE ALSO

pmempool(1), libpmemblk(7), libpmemlog(7), libpmemobj(7), libpmempool(7) and <http://pmem.io>